﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WpfApplication191.ViewModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.DragDrop;

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

      

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            SelectedNodesCollection snc = e.Data as SelectedNodesCollection;
            VM vm = layoutroot.Resources["vm"] as VM;
            foreach (XamDataTreeNode xdtn in snc)
            {
                Team t = xdtn.Data as Team;
                vm.Teams.Remove(t);
                DataRecordCellArea drca = e.DropTarget as DataRecordCellArea;
                DataRecord dr = drca.Record as DataRecord;
                League l = dr.DataItem as League;
                l.Teams.Add(t);

                


            }
        }

        private void DragSource_DragEnter(object sender, Infragistics.DragDrop.DragDropCancelEventArgs e)
        {
            
            XamDataTree xdt = e.DragSource as XamDataTree;
            if (xdt.SelectionSettings.SelectedNodes.Count == 0)
            {
                e.Cancel = true;
            }
            else e.Data = xdt.SelectionSettings.SelectedNodes;
          
        }

        private void DragSource_DragOver(object sender, Infragistics.DragDrop.DragDropMoveEventArgs e)
        {
            if (e.DropTarget is DataRecordCellArea)
            {
                DataRecordCellArea drca = e.DropTarget as DataRecordCellArea;
                DataRecord dr = drca.Record as DataRecord;
                if (dr.DataItem is League)
                {
                  //  e.OperationType = OperationType.DropNotAllowed;
                }
                else e.OperationType = OperationType.DropNotAllowed;

            }
        }
    }
}
